//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/AnalogDevOpAmps.h,v $
// $Id: AnalogDevOpAmps.h,v 1.3 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_ANALOGDEV_OPAMPS_H	// prevent multiple includes
#define ETECH_ANALOGDEV_OPAMPS_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/OpAmp.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

// --- real operational amplifiers (subclasses of OpAmp) -----------------


/// represents the operational amplifier AD711
/**
 {\tt AD711} represents the operational amplifier AD711 which can be 
 used both in DC (direct current) and in AC (alternate current) applications.
 */
class AD711: public OpAmp
{
  public:
    /// default constructor
    AD711();
};



/// represents the ultra low noise operational amplifier AD745
/**
 {\tt AD745} represents the ultra low noise operational amplifier AD745 
 which can be used both in DC (direct current) and in AC (alternate current) 
 applications.
 */
class AD745: public OpAmp
{
  public:
    /// default constructor
    AD745();
};



/// represents the ultra low noise operational amplifier AD797
/**
 {\tt AD797} represents the ultra low noise operational amplifier AD797 
 which can be used both in DC (direct current) and in AC (alternate current) 
 applications.
 */
class AD797: public OpAmp
{
  public:
    /// default constructor
    AD797();
};



/// represents the fast precision operational amplifier AD845
/**
 {\tt AD845} represents the fast precision operational amplifier AD845 
 which can be used both in DC (direct current) and in AC (alternate current) 
 applications.
 */
class AD845: public OpAmp
{
  public:
    /// default constructor
    AD845();
};


// --- name space ---

END_NAMESPACE

#endif // ETECH_ANALOGDEV_OPAMPS_H
