//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/Box.h,v $
// $Id: Box.h,v 1.4 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_BOX_H	// prevent multiple includes
#define ETECH_BOX_H

// --- necessary includes ---

#include <AH/Config/Platform.h>

USING_NAMESPACE(Ah)
BEGIN_NAMESPACE(Ah)

// --- forward declarations ---

class Speaker;

// --- types and classes ---


/// represents a loudspeaker box
/**
 {\tt Box} represents a loudspeaker box.
 */
class Box
{
    const char*	name;	// name of box

  protected:
    Speaker& sp;	// used speaker system

  public:
    /// constructor
    Box(Speaker& s, const char* n = "")
	: name(n), sp(s) {}

    /// virtual destructor
    virtual ~Box() {}


    /// get name of box
    const char* getName() const { return name; }

    /// get used speaker
    const Speaker& getSpeaker() const { return sp; }

}; // class Box


END_NAMESPACE

#endif // ETECH_BOX_H
