//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/KefSpeakers.h,v $
// $Id: KefSpeakers.h,v 1.3 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_KEF_SPEAKERS_H	// prevent multiple includes
#define ETECH_KEF_SPEAKERS_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Speaker.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

/// represents the speaker KEF B 110 SP 1003
/**
 {\tt Kef\_B110\_A} represents the small bass/midrange speaker B 110 SP 1003
 (B110-A) which is made by KEF.
 */
class Kef_B110_A: public Speaker
{
  public:
    /// default constructor
    Kef_B110_A();

    /// destructor
    virtual ~Kef_B110_A() {}
};


/// represents the speaker KEF B 110 SP 1057
/**
 {\tt Kef\_B110\_B} represents the small bass/midrange speaker B 110 SP 1057
 (B110-B) which is made by KEF.
 */
class Kef_B110_B: public Speaker
{
  public:
    /// default constructor
    Kef_B110_B();

    /// destructor
    virtual ~Kef_B110_B() {}
};


/// represents the speaker KEF B 200 SP 1014
/**
 {\tt Kef\_B200\_A} represents the bass/midrange speaker B 200 SP 1014
 (B200-A) which is made by KEF.
 */
class Kef_B200_A: public Speaker
{
  public:
    /// default constructor
    Kef_B200_A();

    /// destructor
    virtual ~Kef_B200_A() {}
};


/// represents the speaker KEF B 200 SP 1039
/**
 {\tt Kef\_B200\_B} represents the bass/midrange speaker B 200 SP 1039
 (B200-B) which is made by KEF.
 */
class Kef_B200_B: public Speaker
{
  public:
    /// default constructor
    Kef_B200_B();

    /// destructor
    virtual ~Kef_B200_B() {}
};


/// represents the speaker KEF B 139 SP 1044
/**
 {\tt Kef\_B139\_B} represents the flat oval bass speaker B 139 SP 1044
 (B139-B) which is made by KEF.
 */
class Kef_B139_B: public Speaker
{
  public:
    /// default constructor
    Kef_B139_B();

    /// destructor
    virtual ~Kef_B139_B() {}
};


/// represents the speaker KEF B 300 SP 1071
/**
 {\tt Kef\_B300\_B} represents the flat oval bass speaker B 300 SP 1071
 (B300-B) which is made by KEF.
 */
class Kef_B300_B: public Speaker
{
  public:
    /// default constructor
    Kef_B300_B();

    /// destructor
    virtual ~Kef_B300_B() {}
};


END_NAMESPACE

#endif // ETECH_KEF_SPEAKERS_H
