//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: 
// $Id: 
//
// Description: implementation of class FET (Field Effect Transistor)
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: FET.c,v 1.5 2001/10/05 23:44:26 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/FET.h>

// --- local stuff ---

// --- class member implementation ---


const Voltage FET::Up25(4);



// get steilheit
Cplx FET::getS
(
    const Current& Id, 
    Dbl		   t
) const 
{
    return(2.0/getUp(t) * sqrt(abs(Ids * Id))); 
}



// get steilheit
Cplx FET::getS
(
    const Voltage& Ugs, 
    Dbl		   t
) const 
{
    Current Id = getIout(Ugs,t);
    return getS(Id, t);
}



// return output current depending on input voltage
Current FET::getIout(const Voltage& Uin, Dbl t) const
{
    Voltage up = getUp(t);
    if (Uin < up) return 0;

    Cplx fact = 1.0 - Uin / up;
    return Ids * fact * fact;
}



// get Up at specified temperature
Voltage FET::getUp(Dbl t)
{
    return (Up25); 
}

// --- friend functions ---

// --- overloaded operators ---

