//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/Speaker.c,v $
// $Id: Speaker.c,v 1.6 2001/10/05 23:44:26 ah Exp $
//
// Description: implementation of class Speaker
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: Speaker.c,v 1.6 2001/10/05 23:44:26 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Speaker.h>
#include <AH/Etech/Resistor.h>
#include <AH/Etech/Inductor.h>

// --- local stuff ---

// --- class member implementation ---


// default constructor
Speaker::Speaker()
    : name(""), Rdc(-1), Ls(0), Fr(-1), Qm(-1), Qe(-1), Qt(-1), Va(-1), Spl(1)
{
}

// copy constructor
Speaker::Speaker(const Speaker& s) 
    : name(s.name), Rdc(s.Rdc), Ls(s.Ls), Fr(s.Fr), Qm(s.Qm), Qe(s.Qe), 
      Qt(s.Qt), Va(s.Va), Spl(s.Spl)
{
}

// constructor
Speaker::Speaker(const char* n) 
    : name(n), Rdc(-1), Ls(0), Fr(-1), Qm(-1), Qe(-1), Qt(-1), Va(-1), Spl(1)
{
}


// get acoustiv power level dB/W/m at specified frequency
Dbl Speaker::getSpl(Dbl freq) const 
{
    return Spl;
}

// get impedancer of voice coil at specified frequency
Impedance Speaker::getImp(Dbl freq) const
{
    if (!freq || !Ls) return Impedance(Rdc);
    Inductor coil(Ls);
    return Impedance(coil(freq) + Resistor(Rdc));
}

// --- overloaded operators ---

// assign operator
const Speaker& Speaker::operator = (const Speaker& s)
{
    if (&s != this)
    {
	name = s.name;
	Rdc = s.Rdc;
	Fr = s.Fr;
	Qm = s.Qm;
	Qe = s.Qe;
	Qt = s.Qt;
	Va = s.Va;
    }
    return *this;
}


// --- friend functions ---


